* {
	-webkit-font-smoothing: subpixel-antialiased;
}

html, md-content {
	background-color: white;
}

body,
html {
	font-family: 'Roboto', sans-serif;
}

body {
	height: 100%;
	// overflow: hidden;
	& > md-content {
		@media (min-width: 600px) {
			height: calc(100% - 64px);
		}
		@media (max-width: 599px) {
			height: calc(100% - 56px);
		}
	}
}

h1,
h2,
h3 {
	font-family: 'Roboto', sans-serif;
	font-weight: 500;
}

h4,
h5 {
	font-family: 'Roboto', sans-serif;
	font-weight: 500;
	// text-transform: uppercase;
}

// .md-toolbar-tools h1,
// .md-toolbar-tools h2,
// .md-toolbar-tools h3 {
// 	font-size: 120%;
// 	font-weight: 500;
// }

a {
	&,
	&:hover {
		text-decoration: none;
	}

	&[disabled] {
		cursor: not-allowed;
		pointer-events: none;
	}

	&[ng-click] {
		cursor: pointer;
	}
}

a:not(.md-button) {
	&,
	&:active,
	&:hover,
	md-icon {
		color: #009688;
	}
}

u[ng-click] {
	cursor: pointer;
	text-decoration: none;
}

.crossed {
	text-decoration: line-through;
}

.max-width {
	max-width: 100%;
	width: 100%;
}

dt {
	font-weight: bold;
	margin-top: 10px;
}

.md-whiteframe-2dp,
.md-whiteframe-2dp > div,
.md-whiteframe-2dp > md-toolbar,
.md-whiteframe-2dp > md-content {
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
}

span.separator {
	margin: 0 10px;
	background-color: rgba(0, 0, 0, 0.12);
	width: 1px;
	height: 70%;
}

input[type="search"] {
	color: #212121 !important;
}

.md-button.md-default-theme.md-primary.md-fab,
.md-button.md-default-theme.md-primary.md-raised,
.md-button.md-primary.md-fab,
.md-button.md-primary.md-raised {
	&,
	md-icon {
		color: white !important;
	}
}

md-dialog .md-actions .md-button, md-dialog md-dialog-actions .md-button {
	margin-right: 8px;
}

#page-title {
	border-bottom: 1px solid #e2e2e2;
	height: 48px;
	padding-bottom: 0;
	padding-top: 0;

	h1 {
		font-size: 20px;
		margin: 0;
	}
}

.table-clickable {
	tr {
		cursor: pointer;
	}
}

.autocomplete-add-product {
	li {
		border-bottom: 1px solid #ccc;
		height: auto;
		padding: 8px;
		white-space: normal;

		.product-info {
			& > * {
				line-height: 1;
			}
		}
	}
}

#last-sales {
	[id^=DataTables] {
		padding: 0;

		table {
			margin: 0;
		}
	}
}

#chart-dashboard-stats,
#chart-sales-client,
#chart-sales-num-client {
	& > div {
		height: 250px;
	}
}

.md-icon-button + .md-datepicker-input-container {
	margin-left: 0;
}

.productivity-circle {
	border-radius: 50%;
	height: 10px;
	width: 10px;
}

#filters {
	md-input-container {
		min-width: 180px;
	}
}

.rzslider {
	.rz-bar {
		background: #92d4ce;
	}

	.rz-pointer {
		background-color: #009688;
		border-radius: 50%;
		height: 20px;
		top: -10px;
		width: 20px;

		&:after {
			left: 6px;
			top: 6px;
		}
	}

	.rz-selection {
		background: #009688;
	}
}


._md-datepicker-floating-label._md-datepicker-has-calendar-icon > label:not(.md-no-float):not(.md-container-ignore) {
	right: 28px;
}

.blur {
	filter: blur(5px);
}

.avatar-hover {
	position: absolute;
	width: 64px;
	height: 64px;
	left: -12px;

	img {
		width: 100%;
		height: 100%;
		border-radius: 5px;
	}
}
